diff --git a/changelog b/changelog
index 371a773..d03959f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141223 tpd src/axiom-website/patches.html 20141223.01.tpd.patch
+20141223 tpd projects update
 20141222 tpd src/axiom-website/patches.html 20141222.01.tpd.patch
 20141222 tpd books/bookvol5 remove |function|
 20141222 tpd books/bookvol9 remove |function|
diff --git a/patch b/patch
index ff06ea8..8e0a0a6 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,65 @@
-src/interp/vmlisp.lisp remove |function|
+projects update
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom continuous integration
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+ 
+  * The jenkins server now has private disk space.
+  * Built individual virtualbox images for many distros.
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom Burge recursive parser
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * Got a copy of Recursive Programming Techniques by Burge
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom Charybdis
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * Read the Charybdis paper
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom src/interp cleanup
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * Started rewrite into standard common lisp syntax (from machine syntax)
+  * Removed |function| macro globally.
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom interpreter merge
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * Complete review of Volume 5, noting all of the missing references. 
+  * Started adding missing references.
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom CATS expansion
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * Adding Wester test suite as published at
+    http://math.unm.edu/~wester/cas_review.html
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom buglist
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * Add )savesystem restore failure to buglist
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom books
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * treeshake missing references
+  * added a Signatures chapter to the Axiom Interpreter volume
+  * added signatures of some lisp functions
+  * clean up the defvar syntax
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom interpreter
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * )quit now defaults to immediate quit
+
+
 
-Use common lisp syntax in place of |function|
diff --git a/projects b/projects
index 5a59e98..27b3e9f 100644
--- a/projects
+++ b/projects
@@ -11,6 +11,9 @@ Axiom continuous integration
        * add git plugin
        * add shell plugin
        * build bronze project
+       * The jenkins server now has private disk space.
+       * Built individual virtualbox images for many distros.
+
      - rework makefiles for jenkins builds
      - rework src/input for jenkins builds
        * fix failing regression tests
@@ -39,6 +42,8 @@ Axiom Burge recursive parser
 
   1) document this idea and the underlying data structures
 
+   * Got a copy of Recursive Programming Techniques by Burge
+
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom Charybdis
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -49,6 +54,8 @@ Axiom Charybdis
 
   1) use the paper to document Charybdis in detail
 
+    * Read the Charybdis paper
+
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom mkAtree
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -66,7 +73,10 @@ Axiom src/interp cleanup
 
   1) these need to be rewritten from machine-generated lisp to
      human-written lisp and documented.
+
      * src/interp/regress.lisp merged and removed
+     * Started rewrite into standard common lisp syntax (from machine syntax)
+     * Removed |function| macro globally.
 
   2) remove src/interp
 
@@ -79,6 +89,9 @@ Axiom interpreter merge
   1) tree-shake the interpreter to drag in the referenced
      functions.
 
+    * Complete review of Volume 5, noting all of the missing references. 
+    * Started adding missing references.
+
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom compiler merge
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -142,6 +155,9 @@ Axiom CATS expansion
   1) find a suitable textbook with a lot of examples of
      input/output pairs (like Schaums). Write a CATS test suite.
 
+     * Adding Wester test suite as published at
+       http://math.unm.edu/~wester/cas_review.html
+
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom buglist
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -151,6 +167,8 @@ Axiom buglist
 
   1) pick a bug and fix it
 
+    * Add )savesystem restore failure to buglist
+
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom algebra availability documentation
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -323,6 +341,21 @@ Axiom youtube channel
 
   1) create a youtube channel for Axiom videos and upload
 
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom books
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * treeshake missing references
+  * added a Signatures chapter to the Axiom Interpreter volume
+  * added signatures of some lisp functions
+  * clean up the defvar syntax
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom interpreter
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+  * )quit now defaults to immediate quit
+
 
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 035294f..8788767 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4834,6 +4834,8 @@ books/bookvol5 make )quit unprotected by default<br/>
 books/bookvol5 resolve undefined references<br/>
 <a href="patches/20141222.01.tpd.patch">20141222.01.tpd.patch</a>
 src/interp/vmlisp.lisp remove |function|<br/>
+<a href="patches/20141223.01.tpd.patch">20141223.01.tpd.patch</a>
+projects update<br/>
  </body>
 </html>
 
